Index: kwalify/contrib/kwalify
===================================================================
--- kwalify.orig/contrib/kwalify
+++ kwalify/contrib/kwalify
@@ -4010,7 +4010,7 @@ module Kwalify
           end
         else
           i = 0
-          YAML.load_documents(input) do |ydoc|
+          YAML.load_stream(input) do |ydoc|
             errors = validator.validate(ydoc)
             _show_errors(filename, i, ydoc, errors)
             i += 1
Index: kwalify/lib/kwalify/util/testcase-helper.rb
===================================================================
--- kwalify.orig/lib/kwalify/util/testcase-helper.rb
+++ kwalify/lib/kwalify/util/testcase-helper.rb
@@ -33,7 +33,7 @@ class Test::Unit::TestCase   # :nodoc:
     identkey = options[:identkey] || 'name'
     list = []
     table = {}
-    YAML.load_documents(str) do |ydoc|
+    YAML.load_stream(str) do |ydoc|
       if ydoc.is_a?(Hash)
         list << ydoc
       elsif ydoc.is_a?(Array)
Index: kwalify/test/test-databinding.rb
===================================================================
--- kwalify.orig/test/test-databinding.rb
+++ kwalify/test/test-databinding.rb
@@ -14,7 +14,7 @@ class DataBindingTest < Test::Unit::Test
   filename = __FILE__.sub(/\.rb$/, '.yaml')
   input = Kwalify::Util.untabify(File.read(filename))
   TESTDATA1 = {}
-  YAML.load_documents(input) do |ydoc|
+  YAML.load_stream(input) do |ydoc|
     hash_list = ydoc
     hash_list.each do |hash|
       for key in hash.keys()
Index: kwalify/lib/kwalify/main.rb
===================================================================
--- kwalify.orig/lib/kwalify/main.rb
+++ kwalify/lib/kwalify/main.rb
@@ -296,7 +296,7 @@ module Kwalify
           end
         else
           i = 0
-          YAML.load_documents(input) do |ydoc|
+          YAML.load_stream(input) do |ydoc|
             errors = validator.validate(ydoc)
             _show_errors(filename, i, ydoc, errors)
             i += 1
